% TANH TANH Hyperbolic Tangent Function
% 
% Usage
% 
% Computes the hyperbolic tangent of the argument.
% The syntax for its use is
% 
%    y = tanh(x)
% 
function y = tanh(x)
  if (nargin == 0 || ~isnumeric(x))
    error('tanh expects a numeric input');
  end
  y = sinh(x)./cosh(x);
  
  
